%define name            gvf
%define version         1.36
%define release         1jpp_1rh
%define section         free

# -----------------------------------------------------------------------------

Summary:        GVF - The Graph Visualization Framework
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Group:          Development/Java
License:        GPL
URL:            http://gvf.sourceforge.net/
BuildArch:      noarch
Source0:        gvf.tar.gz
Patch0:         gvf-setpaths.patch
Patch1:         gvf-GraphXML-XercesParser.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Vendor:         JPackage Project
#Distribution:   JPackage
BuildRequires:  ant, java-devel
BuildRequires:	jpackage-utils >= 0:1.5

%description
The Graph Visualization Framework is a set of Java 2 packages 
that can serve as a foundation for applications that manipulate 
or visualize graph structures.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
(for f in $(find . -name CVS); do rm -rf $f; done) 2>&1 > /dev/null
pushd scripts
for f in unix/*; do
     n=$(basename $f)
     tr -d '\r' < $f > $n
     chmod +x $n
done
popd
%patch0 -b .sav
%patch1 -b .sav

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath \
xerces-j2 \
)
pushd scripts
./makeall
popd
pushd bin
FILELIST1="cwi/SVGGraphics/*.class"
FILELIST2="cwi/GraphXML/*.class cwi/GraphXML/Elements/*.class cwi/GraphXML/debug/*.class"
jar cf gvf-cwi-svggraphics.jar $FILELIST1
jar cf gvf-cwi-graphxml.jar $FILELIST2
popd
DOCDIR=Docs/Javadocs
PKGLIST1="cwi.SVGGraphics"
PKGLIST2="cwi.GraphXML cwi.GraphXML.Elements cwi.GraphXML.debug"
javadoc -package -version -author -windowtitle "Royere" -doctitle "Royere Packages" -sourcepath source -d $DOCDIR $PKGLIST1 $PKGLIST2

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}

pushd bin
for jar in *.jar ; do
   vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
   install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$vjar
   pushd $RPM_BUILD_ROOT%{_javadir}/%{name}
      ln -fs $vjar $jar
   popd
done
popd

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr Docs/Javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc License.txt
%{_javadir}/%{name}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Dec 06 2004 Fernando Nasser <fnasser@redhat.com> 0:1.36-1jpp_1rh
- First Red Hat release

* Mon Sep 20 2004 Ralph Apel <r.apel at r-apel.de> 0:1.36-1jpp
- First (partial) JPackage release

